Skip to main content
GET
/
api
/
partners
/
v2.0
/
org
/
{org_id}
/
users
/
{user_id}
/
buildings
/
{building_id}
Get details about a building
curl --request GET \
  --url https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/buildings/{building_id} \
  --header 'Authorization: Bearer <token>'
{
  "name": "<string>",
  "property_type": "<string>",
  "property_size_m2": 123,
  "property_age": 123,
  "num_occupants": 123,
  "occupant_type": "<string>",
  "space_heating": "<string>",
  "water_heating": "<string>",
  "photovoltaic": false,
  "street_and_number": "<string>",
  "street_add_info": "<string>",
  "zip_code": "<string>",
  "town": "<string>",
  "country": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://developers.podero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

org_id
string<uuid>
required

The organization ID of the user's organization

user_id
string<uuid>
required

The user ID of the user whom the building belongs to

building_id
string<uuid>
required

The building ID of the specified building

Response

200 - application/json

OK

name
string
required
Maximum string length: 100
property_type
string | null
Maximum string length: 50
property_size_m2
integer | null
property_age
integer | null
num_occupants
integer | null
occupant_type
string | null
Maximum string length: 50
space_heating
string | null
Maximum string length: 50
water_heating
string | null
Maximum string length: 50
photovoltaic
boolean | null
default:false
street_and_number
string | null
Maximum string length: 100
street_add_info
string | null
Maximum string length: 100
zip_code
string | null
Maximum string length: 20
town
string | null
Maximum string length: 100
country
string | null
Maximum string length: 2
id
string<uuid> | null